<dx-scroll-view height='100%'>
    <dx-form [colCount]="1" [formData]='controlForm' [showValidationSummary]="false" validationGroup="ctValidation" labelLocation="left">
        <dxi-item itemType="group" [colSpan]="1" [colCount]='2'>

            <dxi-item [label]="{text: 'Organism Control'}" dataField="c_authority" editorType="dxTextBox"
                [editorOptions]="{ }">
                <dxi-validation-rule type="required"></dxi-validation-rule>
            </dxi-item>
            <dxi-item [label]="{text: 'Data'}" dataField="c_date" editorType="dxDateBox" [editorOptions]="{value: currentDate, displayFormat: 'dd.MM.yyyy', width: '100%'}">
                <dxi-validation-rule type="required"></dxi-validation-rule>
            </dxi-item>
        </dxi-item>

        <dxi-item itemType="group" [colSpan]="1" [colCount]='2'>
            <dxi-item [label]="{text: 'Entitate'}" dataField="c_entityId" editorType="dxSelectBox" [editorOptions]="{dataSource: dsEntities, valueExpr: 'id', displayExpr: 'name', onValueChanged: onEntityChange }">
                <dxi-validation-rule type="required"></dxi-validation-rule>
            </dxi-item>
            <dxi-item [label]="{text: 'Punct de lucru'}" dataField="c_workCenterId" editorType="dxSelectBox"
                [editorOptions]="{ dataSource: dsWorkCenter, valueExpr: 'id', displayExpr: 'name', onInitialized: onWcInit, disabled: controlForm.wcDisable }">
            </dxi-item>
        </dxi-item>

        <dxi-item itemType='group' [colSpan]='1' [colCount]='2'>
            <dxi-item [label]="{text: 'Tip control'}" dataField="c_typeId" editorType="dxSelectBox" [editorOptions]="{ dataSource: ds.controlType, valueExpr: 'id', displayExpr: 'value'}">
            </dxi-item>
            <dxi-item [label]="{text: 'Planificat'}" dataField="c_planned" editorType="dxCheckBox" [editorOptions]="{ }"></dxi-item>
        </dxi-item>

        <dxi-item [label]="{text: 'Motiv control'}" dataField="c_reason" editorType="dxTextBox" [editorOptions]="{ }">
        </dxi-item>
        <dxi-item [label]="{text: 'Cazuri'}" dataField="c_cases" editorType="dxTextBox" [editorOptions]="{ }">
        </dxi-item>

        <dxi-item itemType="group" [colSpan]="1" [colCount]='2'>
            <dxi-item [label]="{text: 'Sancțiuni'}" dataField="c_sanction" editorType="dxCheckBox" [editorOptions]="{ }"></dxi-item>
            <dxi-item [label]="{text: 'Măsuri'}" dataField="c_action" editorType="dxCheckBox" [editorOptions]="{ }"></dxi-item>
        </dxi-item>

        <dxi-item itemType="group" [colSpan]="1" [colCount]='2'>
            <dxi-item [label]="{text: 'Cost generat'}" dataField="c_cost" editorType="dxNumberBox" [editorOptions]="{ }"></dxi-item>
            <dxi-item [label]="{text: 'Descriere cost'}" dataField="c_costDescription" editorType="dxTextBox"
                [editorOptions]="{ }"></dxi-item>
        </dxi-item>

    </dx-form>
</dx-scroll-view>